Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util.facade
Class ImplementationSpecificArgument

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.Commandline.Argument
                  |
                  +--org.apache.tools.ant.util.facade.ImplementationSpecificArgument

Direct Known Subclasses:
  Javac.ImplementationSpecificArgument, Rmic.ImplementationSpecificArgument

public class ImplementationSpecificArgument
extends Commandline.Argument

Extension of Commandline.Argument with a new attribute that choses a specific implementation of the facade.

Since:
  Ant 1.5
Version:
  $Revision: 1.3.2.4 $

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`ImplementationSpecificArgument()`

Method Summary
`java.lang.String[]` | `getParts(java.lang.String chosenImpl)`
`void` | `setImplementation(java.lang.String impl)`

Methods inherited from class org.apache.tools.ant.types.Commandline.Argument
`getParts, setFile, setLine, setPath, setPathref, setValue`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImplementationSpecificArgument

    public ImplementationSpecificArgument()

Method Detail

### setImplementation

    public void setImplementation(java.lang.String impl)

### getParts

    public final java.lang.String[] getParts(java.lang.String chosenImpl)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.